variable "hcloud_token" {
  description = "Hetzner Cloud API Token"
  type        = string
}

variable "ssh_key_name" {
  description = "Name of your public key to identify at Hetzner Cloud portal"
  type        = string
  default     = "restore_test_key"
}

variable "ssh_extra_key_names" {
  description = "Name of additional public keys installed on the system"
  type        = list(any)
  default = [
    "zahnrad"
  ]
}

variable "files_dir" {
  description = "Directory to store artifacts"
  type        = string
  default     = "artifacts/"
}

variable "hcloud_server_under_test_type" {
  description = "vServer type name, lookup via `hcloud server-type list`"
  type        = string
  default     = "cx31"
}

variable "hcloud_server_tester_type" {
  description = "vServer type name, lookup via `hcloud server-type list`"
  type        = string
  default     = "cx11"
}

variable "hcloud_server_under_test_name" {
  description = "Name of the server"
  type        = string
  default     = "www1"
}

variable "hcloud_server_datacenter" {
  description = "Desired datacenter location name, lookup via `hcloud datacenter list`"
  type        = string
  default     = "hel1-dc2"
}
