module "dns-chaoswg-org" {
  source = "./modules/dns"

  account_id = var.cloudflare_account_id
  zone       = "chaoswg.org"

  records = [
    # Hosts
    { type = "A", name = "host.nc", value = "185.216.177.198" },
    { type = "AAAA", name = "host.nc", value = "2a03:4000:4f:9f2::1" },
    { type = "A", name = "mon1.hel1", value = "89.58.36.140" },
    { type = "AAAA", name = "mon1.hel1", value = "2a03:4000:65:f3b::1" },

    { type = "CNAME", name = "monitor", value = "mon1.hel1.chaoswg.org" },
    { type = "CNAME", name = "web.nc", value = "host.nc.chaoswg.org" },


    # VPN
    { type = "CNAME", name = "vpn", value = "host.nc.chaoswg.org" },
    { type = "A", name = "v4.vpn", value = "185.216.177.198" },
    { type = "AAAA", name = "v6.vpn", value = "2a03:4000:4f:9f2::1" },

    # Mail settings
    { type = "TXT", name = "@", value = "v=spf1 -all" },
    { type = "MX", name = "@", value = ".", priority = 0 }, # Null MX

  ]

}
