module "dns-tobiasmanske-de" {
  source = "./modules/dns"

  account_id = var.cloudflare_account_id
  zone       = "tobiasmanske.de"

  records = [
    { type = "A", name = "web", value = "185.216.177.198" },
    { type = "AAAA", name = "web", value = "2a03:4000:4f:9f2::1" },
    { type = "CNAME", name = "@", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "s3", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "minio", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "doc", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "drone", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "git", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "meet", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "oauth", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "registry", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "registry-auth", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "traefik-fa", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "repo", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "rss", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "search", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "test", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "calendar", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "www", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "grafana", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "prometheus", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "alertmanager", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "mimir", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "loki", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "wallabag", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "status", value = "mon1.hel1.chaoswg.org" },
    { type = "CNAME", name = "auth", value = "infra.unruhig.eu" },
    { type = "TXT", name = "@", value = "google-site-verification=I7WrzPjqHIL6EATWd8UWfvx6ScDzqjA3DGZi-J-F1e0" },

    # Mail settings
    { type = "A", name = "mail", value = "202.61.232.207" },
    { type = "MX", name = "@", value = "mxe8cf.netcup.net", priority = 50 },
    { type = "MX", name = "@", value = "mail.tobiasmanske.de", priority = 10 },
    { type = "CNAME", name = "autoconfig", value = "autoconfig.netcup.net" },
    { type = "CNAME", name = "key1._domainkey", value = "key1._domainkey.webhosting.systems" },
    { type = "CNAME", name = "key2._domainkey", value = "key2._domainkey.webhosting.systems" },
    { type = "TXT", name = "@", value = "v=spf1 mx include:_spf.webhosting.systems -all" },
    { type = "TXT", name = "_dmarc", value = "v=DMARC1; p=quarantine;pct=100;rua=mailto:a8cb8d2f04b844aba221263b17e7c0ed@dmarc-reports.cloudflare.net;" },

  ]
}
