module "dns-unruhig-eu" {
  source = "./modules/dns"

  account_id = var.cloudflare_account_id
  zone       = "unruhig.eu"

  records = [
    { type = "A", name = "infra", value = "37.221.198.143" },
    { type = "AAAA", name = "infra", value = "2a03:4000:9:176::1" },
    { type = "A", name = "backup", value = "202.61.225.46" },
    { type = "AAAA", name = "backup", value = "2a03:4000:56:e17::1" },
    { type = "CNAME", name = "@", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "www", value = "unruhig.eu" },
    { type = "CNAME", name = "s3", value = "web.tobiasmanske.de" },

    # Matrix
    { type = "CNAME", name = "cinny", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "synapse", value = "web.tobiasmanske.de" },
    { type = "CNAME", name = "syncv3", value = "web.tobiasmanske.de" },

    # Seafile
    { type = "CNAME", name = "files", value = "web.tobiasmanske.de" },

    # Other
    { type = "CNAME", name = "index", value = "web.tobiasmanske.de" },


    # Mail settings
    { type = "A", name = "mail", value = "202.61.232.207" },
    { type = "MX", name = "@", value = "mxe8cf.netcup.net", priority = 50 },
    { type = "MX", name = "@", value = "mail.unruhig.eu", priority = 10 },
    { type = "CNAME", name = "autoconfig", value = "autoconfig.netcup.net" },
    { type = "CNAME", name = "key1._domainkey", value = "key1._domainkey.webhosting.systems" },
    { type = "CNAME", name = "key2._domainkey", value = "key2._domainkey.webhosting.systems" },
    { type = "TXT", name = "@", value = "v=spf1 mx include:_spf.webhosting.systems -all" },
    { type = "TXT", name = "_dmarc", value = "v=DMARC1; p=quarantine;pct=100;rua=mailto:postmaster+dmarc@unruhig.eu;" },

  ]

}
