terraform {
  backend "s3" {
    bucket                      = "terraform-0d6c29f308f4e7e6"
    key                         = "terraform/keycloak.tfstate"
    endpoint                    = "https://s3.us-west-002.backblazeb2.com"
    # force_path_style            = true
    region                      = "us-west-002"
    skip_credentials_validation = true
    skip_region_validation      = true
    # skip_metadata_api_check     = true
    skip_requesting_account_id  = true
    skip_s3_checksum = true
  }
  required_providers {
    keycloak = {
      source  = "mrparkers/keycloak"
      version = "~> 4.3.0"
    }
    cloudflare = {
      source  = "cloudflare/cloudflare"
      version = "~> 4.0"
    }
  }
}

data "keycloak_realm" "realm" {
  realm = var.realm
}

data "keycloak_role" "default_role" {
  realm_id = data.keycloak_realm.realm.id
  name     = "default-roles-tobiasmanske.de"
}

data "keycloak_group" "proxypass" {
  realm_id = data.keycloak_realm.realm.id
  name     = "proxypass"
}
