resource "cloudflare_zone" "zone" {
  account_id = var.account_id
  zone       = var.zone
}

resource "cloudflare_record" "records" {
  zone_id  = cloudflare_zone.zone.id
  for_each = { for record in var.records : uuidv5("dns", "${record.type}/${record.name}/${record.value}") => record } # Hackery.
  name     = each.value.name
  value    = each.value.value
  type     = each.value.type
  ttl      = 1
  priority = each.value.type == "MX" ? each.value.priority : null
  comment  = "Managed by Terraform"
}
