variable "client_id" {
  type = string
}
variable "client_name" {
  type = string
}

variable "admin_role_name" {
  type = string
  default = null
}

variable "client_secret" {
  type      = string
  default   = null
  sensitive = true
}

variable "description" {
  type = string
}
variable "access_type" {
  type    = string
  default = "CONFIDENTIAL"
}

variable "realm" {
  type = string
}

variable "client_authenticator_type" {
  type    = string
  default = "client-secret"
}

variable "root_url" { # requires web_origins, admin_url and valid_redirect_uris to be set...
  type    = string
  default = null
}

variable "admin_url" {
  type    = string
  default = null
}

variable "base_url" {
  type    = string
  default = null
}

variable "web_origins" {
  type    = list(string)
  default = null
}

variable "backchannel_logout_url" {
  type        = string
  default     = null
  description = "The URL to which a backchannel logout request will be sent from the Keycloak server."
}
variable "valid_redirect_uris" {
  type = list(string)
}
variable "enabled" {
  type    = bool
  default = true
}


# Default settings for all clients:
variable "device_authorization_grant_enabled" {
  type    = bool
  default = false
}
variable "frontchannel_logout_enabled" {
  type    = bool
  default = false
}

variable "login_theme" {
  type    = string
  default = "keywind"
}
